SoBumpMapCoordinateElement(3)

NAME
SoBumpMapCoordinateElement - The SoBumpMapCoordinateElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoBumpMapCoordinateElement.h>

Inherits SoReplacedElement.

  Public Member Functions
virtual void init (SoState *state)
FIXME: write doc.
int32_t getNum (void) const
FIXME: write doc.
const SbVec2f & get (const int index) const
FIXME: write doc.
const SbVec2f * getArrayPtr (void) const
FIXME: write doc.

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *state, SoNode *node, const int32_t numcoords, const SbVec2f *coords)
FIXME: write doc.
static const SoBumpMapCoordinateElement * getInstance (SoState *state)
FIXME: write doc.

  Protected Member Functions
virtual ~SoBumpMapCoordinateElement ()

  Protected Attributes
int32_t numcoords
const SbVec2f * coords

  Additional Inherited Members

Detailed Description

The SoBumpMapCoordinateElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoBumpMapCoordinateElement::~SoBumpMapCoordinateElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoBumpMapCoordinateElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoBumpMapCoordinateElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoBumpMapCoordinateElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoBumpMapCoordinateElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoBumpMapCoordinateElement::init (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoReplacedElement.

Member Data Documentation

  SoBumpMapCoordinateElement::numcoords [protected]
FIXME: write doc.

  SoBumpMapCoordinateElement::coords [protected]
FIXME: write doc.

Author

Generated automatically by Doxygen for Coin from the source code.